BITFIELDREVERSE(3G)

NAME
bitfieldReverse - reverse the order of bits in an integer

DECLARATION

genIType bitfieldReverse(genIType value);

genUType bitfieldReverse(genUType value);

PARAMETERS

value
    Specifies the value whose bits to reverse.

DESCRIPTION

bitfieldReverse returns the reversal of the bits of value. The bit numbered n will be taken from bit (bits - 1) - n of value, where bits is the total number of bits used to represent value.

VERSION SUPPORT
 | OpenGL Shading Language Version
Function Name | 1.10 | 1.20 | 1.30 | 1.40 | 1.50 | 3.30 | 4.00 | 4.10 | 4.20 | 4.30 | 4.40 | 4.50
bitfieldReverse | - | - | - | - | - | - | ✔ | ✔ | ✔ | ✔ | ✔ | ✔

SEE ALSO

bitfieldExtract(), bitfieldInsert(), bitCount()

COPYRIGHT

Copyright © 2011-2014 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. http://opencontent.org/openpub/.

COPYRIGHT
Copyright © 2011-2014 Khronos Group